Package org.globus.io.streams

# Class GlobusOutputStream

java.lang.Object
java.io.OutputStream
org.globus.io.streams.GlobusOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

Direct Known Subclasses:
  `FTPOutputStream`, `GlobusFileOutputStream`, `HTTPOutputStream`

public abstract class GlobusOutputStream extends OutputStream

## Constructor Summary

Constructors
Constructor
Description
`GlobusOutputStream()`

## Method Summary

Modifier and Type
Method
Description
`void`
`abort()`
Aborts transfer.
`void`
`write(int b)`

### Methods inherited from class java.io.OutputStream

`close, flush, nullOutputStream, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GlobusOutputStream

public GlobusOutputStream()

## Method Details

### abort

public void abort()
Aborts transfer. Usually makes sure to release all resources (sockets, file descriptors)
Does nothing by default.

### write

public void write(int b) throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`